Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.manager
Interface PortalManagerDelegate

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface PortalManagerDelegate

Interface `PortalManagerDelegate` is the business interface of the PortalManager service which provides access and persistence of portal data.

Method Summary
`List` | `getAllPortalPersonalizations(ProfileIdentity client, PortalIdentifier portalId)` Deprecated. Retieves as list of all group personalizations defined for the specified portal.
`List` | `getDeployedPortals()` Deprecated. Retrieves a `List` of all `Portal`s deployed in this application.
`List` | `getGroupPortalMembership(ProfileIdentity identity, PortalIdentifier portalId)` Deprecated. Retrieves a list of `GroupPortal`objects representing the groups that the specified user belongs to.``
`List` | `getGroupPortalPersonalizations(PortalIdentifier portalId)` Deprecated.
`MutablePortalPersonalization` | `getMutablePortalPersonalization(ProfileIdentity client, PortalIdentifier portalId)` Deprecated. Retrieves a `PortalPersonalization` for the specified identity within the specified portal.
`Portal` | `getPortal(PortalIdentifier portalId)` Deprecated. Retrieves a `Portal` object corresponding to the `PortalIdentifier` specified.
`PortalPersonalization` | `getPortalPersonalization(ProfileIdentity client, PortalIdentifier portalId)` Deprecated. Retrieves a `PortalPersonalization` for the specified identity within the specified portal.
`UserPortalState` | `getUserPortalState(ProfileIdentity client, PortalIdentifier portalId, PageIdentifier pageId, com.bea.p13n.entitlements.common.EntitlementRequest entitlementRequest)` Deprecated. Retrieves a `UserPortalState` object for the identity specified (which must be a user as a member of a group) in the portal specified for the page specified.
`void` | `removeDeletedLayoutsForGroupPageP13n(List availableLayouts, PagePersonalization pageP13n, PortalPersonalization groupPortalP13n)` Deprecated.
`void` | `removeGroupPortal(PortalPersonalizationIdentifier groupPortalId)` Deprecated.
`void` | `removeGroupPortalP13nSkin(SkinIdentifier skinId, PortalPersonalization groupPortalP13n)` Deprecated.
`void` | `removePortalPersonalization(ProfileIdentity client, PortalIdentifier portalId)` Deprecated. Deletes a personalization from the persistent store.
`void` | `setMutablePortalPersonalization(ProfileIdentity client, PortalPersonalization portalPersonalization)` Deprecated. Persists a `PortalPersonalization` for the specified identity.

Method Detail

### getAllPortalPersonalizations

    public List getAllPortalPersonalizations(ProfileIdentity client,
                                             PortalIdentifier portalId)
                                      throws PortalException

  Deprecated.
  Retieves as list of all group personalizations defined for the specified portal.

  Parameters:
    `client` - the identity of the caller.
    `portalId` - the portal to retrieve all group personalizations for.
  Returns:
    a list of `PortalPersonalization` objects.
  Throws:
    `PortalException` - on an error within the portal framework.

### getDeployedPortals

    public List getDeployedPortals()
                            throws PortalException

  Deprecated.
  Retrieves a `List` of all `Portal`s deployed in this application.

  Returns:
    list of all portals deployed in this application.
  Throws:
    `PortalException` - on an error within the portal framework.

### getGroupPortalMembership

    public List getGroupPortalMembership(ProfileIdentity identity,
                                         PortalIdentifier portalId)
                                  throws PortalException

  Deprecated.
  Retrieves a list of `GroupPortal`objects representing the groups that the specified user belongs to. This will not include the default group (user group "everyone").

  ``
  Parameters:
    `identity` - the identity of the user.
    `portalId` - an identifier for the current portal.
  Returns:
    a `List` of groups that the user belongs to.
  Throws:
    `PortalException` - on an error within the portal framework.
  See Also:
    `GroupPortal`

### getGroupPortalPersonalizations

    public List getGroupPortalPersonalizations(PortalIdentifier portalId)
                                        throws PortalException

  Deprecated.
  Throws:
    `PortalException`

### getMutablePortalPersonalization

    public MutablePortalPersonalization getMutablePortalPersonalization(ProfileIdentity client,
                                                                        PortalIdentifier portalId)
                                                                 throws PortalException

  Deprecated.
  Retrieves a `PortalPersonalization` for the specified identity within the specified portal. This object is guarenteed to also implement `MutablePortalPersonalization` and will need to be cast to that interface to allow updates.

  Note: Updates to the object returned will NOT be persisted or have any effects on the portal server unless this object is send back to the portal server using the method `setMutablePortalPersonalization` on this interface.

  Parameters:
    `client` - the identity for which the personalization is required.
    `portalId` - an identifier for the current portal.
  Returns:
    an editable personalization defined at the appropriate scope.
  Throws:
    `PortalException` - on an error within the portal framework.

### getPortal

    public Portal getPortal(PortalIdentifier portalId)
                     throws PortalException

  Deprecated.
  Retrieves a `Portal` object corresponding to the `PortalIdentifier` specified. The object returned represents the global configuration of a portal as defined in the EBCC.

  Parameters:
    `portalId` - an identifier for the portal required.
  Returns:
    the global configuration of the portal.
  Throws:
    `PortalException` - on an error within the portal framework.

### getPortalPersonalization

    public PortalPersonalization getPortalPersonalization(ProfileIdentity client,
                                                          PortalIdentifier portalId)
                                                   throws PortalException

  Deprecated.
  Retrieves a `PortalPersonalization` for the specified identity within the specified portal. This identity can either be a group or a user within a group. The object returned represents the personalizations defined at either user or group scope. It should be considered to be immutable and therefore not edited.

  Parameters:
    `client` - the identity for which the personalization is required.
    `portalId` - an identifier for the current portal.
  Returns:
    an editable personalization defined at the appropriate scope.
  Throws:
    `PortalException` - on an error within the portal framework.

### getUserPortalState

    public UserPortalState getUserPortalState(ProfileIdentity client,
                                              PortalIdentifier portalId,
                                              PageIdentifier pageId,
                                              com.bea.p13n.entitlements.common.EntitlementRequest entitlementRequest)
                                       throws PortalException

  Deprecated.
  Retrieves a `UserPortalState` object for the identity specified (which must be a user as a member of a group) in the portal specified for the page specified. The object returned represents the personalization of the users view of this page within this portal. It is intended to be the minimal set of personalization data that is required to render the page and is expected to have already taken into account all the interactions of group personalizations, user personalizations and entitlements.

  Parameters:
    `client` - the identity for which the rendering state is required.
    `portalId` - an identifier for the current portal.
    `pageId` - an identifier for the current page being viewed.
    `entitlementRequest` - a valid entitlement request fo this user.
  Returns:
    the personalized state of the page to be rendered.
  Throws:
    `PortalException` - on an error within the portal framework.

### removeDeletedLayoutsForGroupPageP13n

    public void removeDeletedLayoutsForGroupPageP13n(List availableLayouts,
                                                     PagePersonalization pageP13n,
                                                     PortalPersonalization groupPortalP13n)
                                              throws PortalException

  Deprecated.
  Throws:
    `PortalException`

### removeGroupPortal

    public void removeGroupPortal(PortalPersonalizationIdentifier groupPortalId)
                           throws PortalException

  Deprecated.
  Throws:
    `PortalException`

### removeGroupPortalP13nSkin

    public void removeGroupPortalP13nSkin(SkinIdentifier skinId,
                                          PortalPersonalization groupPortalP13n)
                                   throws PortalException

  Deprecated.
  Throws:
    `PortalException`

### removePortalPersonalization

    public void removePortalPersonalization(ProfileIdentity client,
                                            PortalIdentifier portalId)
                                     throws PortalException

  Deprecated.
  Deletes a personalization from the persistent store.

  Parameters:
    `client` - the identity for which the personalization is to be removed.
    `portalId` - an identifier for the current portal.
  Throws:
    `PortalException` - on an error within the portal framework.

### setMutablePortalPersonalization

    public void setMutablePortalPersonalization(ProfileIdentity client,
                                                PortalPersonalization portalPersonalization)
                                         throws PortalException

  Deprecated.
  Persists a `PortalPersonalization` for the specified identity. This method can be used to update both group and user personalizations.

  Parameters:
    `client` - the identity for which the personalization is to be saved.
    `portalPersonalization` - a personalization to persist.
  Throws:
    `PortalException` - on an error within the portal framework.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved